from abc import ABC, abstractmethod


class BaseReporter(ABC):
    """所有 reporter 的基类"""

    @abstractmethod
    def run(self):
        """运行 reporter，子类必须实现此方法"""
        pass

    def stop(self):
        """控制结束"""
        pass
